package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag711;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT711Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag45ACreator extends AbsTagCreate {

     private MT711Creator mt711Creator;

    public Tag45ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt711Creator= (MT711Creator) absMTCreator;
    }

    public void creator()
    {
        String tag45AValue = mt711Creator.getDescriptionofGoodsandorServices();
        mt711Creator.set("45A", tag45AValue);
    }
}

